#ifndef INTVEC_H
#define INTVEC_H
#include <stdlib.h>

typedef struct intvec {
    int *a;
    unsigned int len;
    unsigned int max;
	void *((*alloc)(void*, size_t));
    void (*free)(void*);
} intvec_t;

int intvec_fini(intvec_t *t);
int intvec_need(intvec_t *t, unsigned int n);
int intvec_more(intvec_t *t, unsigned int n);
int intvec_append(intvec_t *t, int e);
int intvec_fit(intvec_t *t);

#define intvec_INIT(a,f)  {0, 0, 0, a, f}

#endif /* INTVEC_H */
